petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMNetworkSetSizes

Sets the local and global vertices and edges.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetSizes(DM dm, PetscInt nV, PetscInt nE, PetscInt NV, PetscInt NE)

Collective on DM

### Input Parameters

| dm | - the dm object
| nV | - number of local vertices
| nE | - number of local edges
| NV | - number of global vertices (or PETSC_DETERMINE)
| NE | - number of global edges (or PETSC_DETERMINE)

Notes If one processor calls this with NV (NE) of PETSC_DECIDE then all processors must, otherwise the prgram will hang.

You cannot change the sizes once they have been set

### See Also

DMNetworkCreate

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages